HPOS – Time to update your browser

24 Sep 2015

From 1 October 2015, the Australian Department of Human Services is strengthening Health Professional Online Services (HPOS) security controls in line with government standards.

HPOS users will need to update their browsers to the minimum browser requirements to avoid potential access issues following the security upgrade. Using the latest internet browser not only helps improve access and security, it ensures HPOS displays correctly.

General information about minimum browser requirements is available on the Department of Human Services' Health Professional Online Services (HPOS) home page.